@import '~react-widgets/lib/scss/react-widgets';
@import '~storm-react-diagrams/src/sass/main';

.srd-demo-workspace{
  background: black;
  display: flex;
  flex-direction: column;
  height: 100%;
  border-radius: 5px;
  overflow: hidden;

  &__toolbar{
    padding: 5px;
    display: flex;
    flex-shrink: 0;

    button{
      background: rgb(60,60,60);
      font-size: 14px;
      padding: 5px 10px;
      border: none;
      color: white;
      outline: none;
      cursor: pointer;
      margin: 2px;
      border-radius: 3px;

      &:hover{
        background: rgb(0,192,255);
      }
    }
  }

  &__content{
    flex-grow: 1;
    height: 100%;
  }
}

.docs-preview-wrapper{
  background: rgb(60,60,60);
  border-radius: 10px;
  overflow: hidden;
  padding: 10px;
  margin-top: 20px;
  margin-bottom: 20px;
}


.srd-demo-canvas{
    height: 100%;
    min-height: 400px;
    background-color: rgb(133, 151, 184) !important;
    $color: rgba(white, .05);
    background-image:
      linear-gradient(0deg,
        transparent 24%,
        $color 25%,
        $color 26%,
        transparent 27%,
        transparent 74%,
        $color 75%,
        $color 76%,
        transparent 77%,
        transparent),
      linear-gradient(90deg,
        transparent 24%,
        $color 25%,
        $color 26%,
        transparent 27%,
        transparent 74%,
        $color 75%,
        $color 76%,
        transparent 77%,
        transparent);
    background-size:50px 50px;
  
    .pointui{
      fill: rgba(white,0.5);
    }
  
  }

  .body{
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    min-height: 100%;
  
    .header{
      display: flex;
      background: rgb(30,30,30);
      flex-grow: 0;
      flex-shrink: 0;
      color: white;
      font-family: Helvetica, Arial;
      padding: 10px;
      >*{
        align-self:center;
      }
    }
  
    .content{
      display: flex;
      flex-grow: 1;
  
      .diagram-layer{
        position: relative;
        flex-grow: 1;
      }
  
      .tray{
        min-width: 200px;
        background: rgb(174, 179, 175);
        flex-grow: 0;
        flex-shrink: 0;
  
        .tray-item{
          color: white;
          font-family: Helvetica, Arial;
          padding: 5px;
          margin: 0px 10px;
          border: solid 1px;
          border-radius: 5px;
          margin-bottom: 2px;
          cursor: pointer;
        }
      }
    }
  }